Name: netamsadmin
Version: 0.803
Release: alt3
Packager: Aleksey Avdeev <solo@altlinux.ru>

%define src_name na_admin
%define src_vers 0803
%define src_name_all %{src_name}_%src_vers

Summary: Handle the adminstration of NeTAMS system over the web
Summary(ru_RU.KOI8-R):  NeTAMS  web
License: BSD
Group: System/Servers

URL: http://sourceforge.net/projects/%name/
Source0: http://yellow.hotmail.ru/temp/%src_name_all.tar.gz
Source1: %name.localhost.htaccess
Source2: %name.conf
Source3: net16.gif

Patch0: %name-%version-alt-config.patch.gz
Patch1: %name-%version-alt-graph.pl-fixes.patch.gz

BuildRequires: perl(CGI.pm) perl(DBI.pm) perl(FindBin.pm) perl(HTML/Template.pm)
BuildRequires: perl(GD.pm) perl(Socket.pm) perl(base.pm) perl(lib.pm) perl-base

BuildArch: noarch

%define apache_group apache
%define apache_webmaster webmaster
%define apache_home %_var/www
#define pma_home %apache_home/html/%name
%define pma_home %apache_home/%name
%define pma_doc %_docdir/%name-%version
%define apache_confdir %_sysconfdir/httpd/conf
%define apache_addonconfdir %apache_confdir/addon-modules.d

#define _perl_lib_path %perl_vendor_privlib:%pma_home:%pma_home/index.cgi
%define _perl_lib_path %perl_vendor_privlib:%pma_home

Prefix: %apache_home

%description
%name is web-based administration tool for NeTAMS system,
written in Perl.


%description -l ru_RU.KOI8-R
%name --   Perl  
  NeTAMS.   
NeTAMS    1852.1

 
 -  /  ,  , ,
      .
 -  /  .
 -  .


%prep
%setup -q -n %src_name_all
%patch0 -p1
%patch1 -p1

%build
# fix perms
find . -type d -print0 | xargs -0 %__chmod 2755
find . -type f -print0 | xargs -0 %__chmod 644
%__chmod 755 index.cgi
find . -type f -name '*.pl' -print0 | xargs -0 %__chmod 755
#__chmod 755 {theme/theme,modules/{na_graph,secrets}}.pl

%install
%__install -pD %SOURCE1 %buildroot%pma_home/.htaccess
%__install -pD %SOURCE2 %buildroot%apache_addonconfdir/netamsadmin.conf
%__install -pD %SOURCE3 %buildroot%pma_home/images/net16.gif
%__cp -aRf [^A-Z]* %buildroot%pma_home/
%__install -pd %buildroot%_libexecdir/perl5
%__mv %buildroot{%pma_home/modules/{Edit,Netams},%_libexecdir/perl5/}
%__rm -rf %buildroot%pma_home/docs

#add_findprov_lib_path %buildroot%pma_home
#set_findprov_topdir %buildroot%pma_home

%add_findreq_skiplist %pma_home/modules/Subs.pl
%add_findreq_skiplist %pma_home/modules/count.pl
%add_findreq_skiplist %pma_home/modules/graph.pl
%add_findreq_skiplist %pma_home/modules/login.pl
%add_findreq_skiplist %pma_home/modules/main.pl
%add_findreq_skiplist %pma_home/modules/policy.pl
%add_findreq_skiplist %pma_home/modules/quota.pl
%add_findreq_skiplist %pma_home/modules/unit.pl

%post
if [ $1 = "1" ]; then
	if ! egrep -qs 'Include conf/addon-modules.d/*.conf' %apache_confdir/httpd.conf; then
		if ! egrep -qs 'Include conf/addon-modules.d/netamsadmin.conf' %apache_confdir/httpd.conf; then
			( echo
				echo "# For netamsadmin"
				echo "Include conf/addon-modules.d/netamsadmin.conf"
			) >> %apache_confdir/httpd.conf
		fi
	fi
fi
%__ln_s -nf %apache_home/%name %apache_home/html/%name
%post_service httpd

%preun
%__rm -f %apache_home/html/%name

%files
%doc docs/{README,Changes}

%attr(0660,root,%apache_webmaster) %config(noreplace) %verify(not size mtime md5) /%apache_addonconfdir/netamsadmin.conf
%attr(0640,root,%apache_group) %config(noreplace) %verify(not size mtime md5) %pma_home/config.pl
%attr(0640,root,%apache_group) %config(noreplace) %verify(not size mtime md5) %pma_home/.htaccess
%attr(2775,root,%apache_group) %dir %pma_home/images/tmp

%_libexecdir/perl5/*

%defattr(-,root,%apache_webmaster,2755)
%dir %pma_home
%dir %pma_home/images
%pma_home/index.cgi
%pma_home/html
%pma_home/modules
%pma_home/images/*.gif
%pma_home/images/*.ttf
%pma_home/images/*.css
%pma_home/images/progress
%pma_home/images/theme

%changelog
* Thu Dec 23 2004 Aleksey Avdeev <solo@altlinux.ru> 0.803-alt3
- fix requires problem.
- modify netamsadmin.conf file.

* Mon Oct 11 2004 Aleksey Avdeev <solo@altlinux.ru> 0.803-alt2
- fix graph problem.
- add net16.gif.

* Thu Oct 07 2004 Aleksey Avdeev <solo@altlinux.ru> 0.803-alt1
- new version.

* Wed Oct 06 2004 Aleksey Avdeev <solo@altlinux.ru> 0.771-alt2
- add netamsadmin.conf.

* Wed Aug 18 2004 Aleksey Avdeev <solo@altlinux.ru> 0.771-alt1
- first rpm distribution.
